package ru.dbotthepony.kstarbound.defs.actor

import ru.dbotthepony.kommons.vector.Vector2d
import ru.dbotthepony.kstarbound.json.builder.JsonFactory

// this is because personality data structure is used inconsistently across original source code
interface IPersonality {
	val idle: String
	val armIdle: String
	val handOffset: Vector2d
	val armOffset: Vector2d
}

@JsonFactory(asList = true)
data class Personality(
	override val idle: String,
	override val armIdle: String,
	override val handOffset: Vector2d,
	override val armOffset: Vector2d
) : IPersonality
